Berkeley DB version 5.3.15

## com.sleepycat.db
Class LogVerifyConfig

    java.lang.Object
      com.sleepycat.db.LogVerifyConfig

All Implemented Interfaces:
  Cloneable

    public class LogVerifyConfig

extends Object
implements Cloneable

Specify the attributes of a database.

Constructor Summary
`LogVerifyConfig()`

Method Summary
`int` `getCacheSize()` Return the internal database environment cache size.
`boolean` `getContinueAfterFail()` Return if continue after a failed check.
`String` `getDbFile()` Return the database file name whose logs we will verify.
`String` `getDbName()` Return the database name whose logs we will verify.
`LogSequenceNumber` `getEndLsn()` Return the ending lsn to verify.
`Date` `getEndTime()` Return the ending time to verify.
`String` `getEnvHome()` Return the home directory to use by the log verification internally.
`LogSequenceNumber` `getStartLsn()` Return the starting lsn to verify.
`Date` `getStartTime()` Return the starting time to verify.
`boolean` `getVerbose()` Return if print verbose information.
`void` `setCacheSize(int cachesize)` Set the internal database environment cache size.
`void` `setContinueAfterFail(boolean caf)` Set if continue after a failed check.
`void` `setDbFile(String file)` Set the database file name whose logs we will verify.
`void` `setDbName(String name)` Set the database name whose logs we will verify.
`void` `setEndLsn(LogSequenceNumber endlsn)` Set the ending lsn to verify.
`void` `setEndTime(Date etime)` Set the ending lsn to verify.
`void` `setEnvHome(String home)` Set the home directory to use by the log verification internally.
`void` `setStartLsn(LogSequenceNumber stLsn)` Set the starting lsn to verify.
`void` `setStartTime(Date stime)` Set the starting time to verify.
`void` `setVerbose(boolean verbs)` Set if print verbose information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogVerifyConfig

    public LogVerifyConfig()

Method Detail

### getEnvHome

    public String getEnvHome()

  Return the home directory to use by the log verification internally.

  Returns:
    Return the environment home directory path.

### setEnvHome

    public void setEnvHome(String home)

  Set the home directory to use by the log verification internally.

  Parameters:
    `home` - The home directory of the internal database environment we use to store intermediate data during the verification process, can be null, meaning we will create the environment and all databases in memory, which can be overwhelming if the log takes up more space than available memory.

  Throws:
    `IllegalArgumentException` - if home is an empty string.

### getCacheSize

    public int getCacheSize()

  Return the internal database environment cache size.

  Returns:
    Return the internal database environment cache size.

### setCacheSize

    public void setCacheSize(int cachesize)

  Set the internal database environment cache size.

  Parameters:
    `cachesize` - The internal database environment cache size.

### getDbFile

    public String getDbFile()

  Return the database file name whose logs we will verify.

  Returns:
    Return the database file name whose logs we will verify.

### setDbFile

    public void setDbFile(String file)

  Set the database file name whose logs we will verify.

  Parameters:
    `file` - The database file name whose logs we will verify.

### getDbName

    public String getDbName()

  Return the database name whose logs we will verify.

  Returns:
    Return the database name whose logs we will verify.

### setDbName

    public void setDbName(String name)

  Set the database name whose logs we will verify.

  Parameters:
    `name` - The database name whose logs we will verify.

### getStartLsn

    public LogSequenceNumber getStartLsn()

  Return the starting lsn to verify.

  Returns:
    The starting lsn to verify.

### setStartLsn

    public void setStartLsn(LogSequenceNumber stLsn)

  Set the starting lsn to verify.

  Parameters:
    `stLsn` - The starting lsn to verify.

### getEndLsn

    public LogSequenceNumber getEndLsn()

  Return the ending lsn to verify.

  Returns:
    The ending lsn to verify.

### setEndLsn

    public void setEndLsn(LogSequenceNumber endlsn)

  Set the ending lsn to verify.

  Parameters:
    `endlsn` - The ending lsn to verify.

### getStartTime

    public Date getStartTime()

  Return the starting time to verify.

  Returns:
    The starting time to verify.

### setStartTime

    public void setStartTime(Date stime)

  Set the starting time to verify.

  Parameters:
    `stime` - The starting time to verify.

### getEndTime

    public Date getEndTime()

  Return the ending time to verify.

  Returns:
    The ending time to verify.

### setEndTime

    public void setEndTime(Date etime)

  Set the ending lsn to verify.

  Parameters:
    `etime` - The ending time to verify.

### getContinueAfterFail

    public boolean getContinueAfterFail()

  Return if continue after a failed check.

  Returns:
    If continue after a failed check.

### setContinueAfterFail

    public void setContinueAfterFail(boolean caf)

  Set if continue after a failed check.

  Parameters:
    `caf` - If continue after a failed check.

### getVerbose

    public boolean getVerbose()

  Return if print verbose information.

  Returns:
    If print verbose information.

### setVerbose

    public void setVerbose(boolean verbs)

  Set if print verbose information.

  Parameters:
    `verbs` - If print verbose information.

Berkeley DB version 5.3.15

Copyright (c) 1996, 2011 Oracle and/or its affiliates. All rights reserved.